
MAINCLASS := BlobWars

all:
	javac *.java

.PHONY: runserver
runserver:
	java $(MAINCLASS)Server

.PHONY: run
run:
	java $(MAINCLASS)

.PHONY: javadoc
javadoc:
	-mkdir doc
	javadoc -d doc *.java

clean:
	-rm -f *.class
	-rm -rf doc
